---
search:
  tags:
    - Smart Listings
    - GET
seo:
  description: >-
    Retrieves all smart listings configured for the app. Reference for the GET
    /api/v1/{team_slug}/{app_slug}/smart-listings endpoint in the Management
    API.
sidebar:
  label: List all smart listings
  badge: GET
title: List all smart listings
type: openapi-operation
---
Retrieves all smart listings configured for the app

`GET /api/v1/{team_slug}/{app_slug}/smart-listings`

**Request body** (`application/json`, required)

smart-listing configuration

- `rules` (internal_pkg_webserver_v1.ListingRuleRequest[], required)
- `slug` (string, required)

Request body example:

```json
{
  "rules": [
    {
      "operator": "equal",
      "target": "stock",
      "target_id": "string",
      "value_float": 0,
      "value_list": [
        "string"
      ],
      "value_string": "string"
    }
  ],
  "slug": "string"
}
```

**Responses**

- `200` — All smart-listings for the app
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "created_at": "string",
      "id": "string",
      "rules": [
        {
          "id": "string",
          "operator": "less-than",
          "target": "stock",
          "target_id": "string",
          "value_float": 0,
          "value_list": [
            "string"
          ],
          "value_string": "string"
        }
      ],
      "slug": "string",
      "updated_at": "string"
    }
  ],
  "details": [
    "string"
  ],
  "success": true
}
```
